Licenses
All operations require authentication.
List CloudLinux licensesProduction
List CloudLinux licenses. Returns the CloudLinux licenses attached to the block, optionally filtered to one address.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Query parameters
Filter the value of ipAddress property (=)
Response
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ license/ cloudLinux \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List cPanel licensesProduction
List cPanel licenses. Returns the cPanel licenses attached to the block, optionally filtered to one address.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Query parameters
Filter the value of ipAddress property (=)
Response
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ license/ cpanel \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List DirectAdmin licensesProduction
List DirectAdmin licenses. Returns the DirectAdmin licenses attached to the block, optionally filtered to one address.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Query parameters
Filter the value of ipAddress property (=)
Response
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ license/ directadmin \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List Plesk licensesProduction
List Plesk licenses. Returns the Plesk licenses attached to the block, optionally filtered to one address.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Query parameters
Filter the value of ipAddress property (=)
Response
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ license/ plesk \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List SQL Server licensesProduction
List SQL Server licenses. Returns the SQL Server licenses attached to the block, optionally filtered to one address.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Query parameters
Filter the value of ipAddress property (=)
Response
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ license/ sqlserver \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List Virtuozzo licensesProduction
List Virtuozzo licenses. Returns the Virtuozzo licenses attached to the block, optionally filtered to one address.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Query parameters
Filter the value of ipAddress property (=)
Response
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ license/ virtuozzo \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List Windows licensesProduction
List Windows licenses. Returns the Windows licenses attached to the block, optionally filtered to one address.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Query parameters
Filter the value of ipAddress property (=)
Response
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ license/ windows \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List WorkLight licensesProduction
List WorkLight licenses. Returns the WorkLight licenses attached to the block, optionally filtered to one address.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Query parameters
Filter the value of ipAddress property (=)
Response
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ license/ worklight \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]